<?php 

include_once('../conexao.php');

$postjson = json_decode(file_get_contents('php://input'), true);

$id_usu = @$_GET['user'];

$query = $pdo->query("SELECT * FROM usuarios where id = '$id_usu'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$nivel = @$res[0]['nivel'];

if($nivel == 'Administrador'){
	$result = json_encode(array('success'=>true, 
    'imoveis'=>'1',
    'funcionarios'=>'1',
    'vendedores'=>'1',
    'compradores'=>'1',
    'locatarios'=>'1',
    'usuarios'=>'1',
    'agenda'=>'1',
    'tarefas'=>'1',
    'pagar'=>'1',
    'receber'=>'1',
    'movimentacoes'=>'1',
    'comissoes'=>'1',
    'vendas'=>'1',
    'alugueis'=>'1',
        
));

echo $result;
exit();
}


$imoveis = 'ocultar';
$funcionarios = 'ocultar';
$vendedores = 'ocultar';
$compradores = 'ocultar';
$locatarios = 'ocultar';
$usuarios = 'ocultar';
$agenda = 'ocultar';
$tarefas = 'ocultar';
$pagar = 'ocultar';
$receber = 'ocultar';
$movimentacoes = 'ocultar';
$comissoes = 'ocultar';
$vendas = 'ocultar';
$alugueis = 'ocultar';


$query = $pdo->query("SELECT * FROM usuarios_permissoes where usuario = '$id_usu'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$total_reg = @count($res);
if($total_reg > 0){
	for($i=0; $i < $total_reg; $i++){
		foreach ($res[$i] as $key => $value){}
		$permissao = $res[$i]['permissao'];
		
		$query2 = $pdo->query("SELECT * FROM acessos where id = '$permissao'");
		$res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
		$nome = $res2[0]['nome'];
		$chave = $res2[0]['chave'];
		$id = $res2[0]['id'];

		
		if($chave == 'imoveis'){
			$imoveis = '1';
		}		

		if($chave == 'funcionarios'){
			$funcionarios = '1';
		}

		if($chave == 'vendedores'){
			$vendedores = '1';
		}

		if($chave == 'compradores'){
			$compradores = '1';
		}

		if($chave == 'locatarios'){
			$locatarios = '1';
		}

		if($chave == 'usuarios'){
			$usuarios = '1';
		}

		if($chave == 'agenda'){
			$agenda = '1';
		}

		if($chave == 'tarefas'){
			$tarefas = '1';
		}

		if($chave == 'pagar'){
			$pagar = '1';
		}

		if($chave == 'receber'){
			$receber = '1';
		}

		if($chave == 'movimentacoes'){
			$movimentacoes = '1';
		}


		if($chave == 'comissoes'){
			$comissoes = '1';
		}


		if($chave == 'vendas'){
			$vendas = '1';
		}

		if($chave == 'alugueis'){
			$alugueis = '1';
		}

		

	}
}



$result = json_encode(array('success'=>true, 
    'imoveis'=>$imoveis,
    'funcionarios'=>$funcionarios,
    'vendedores'=>$vendedores,
    'compradores'=>$compradores,
    'locatarios'=>$locatarios,
    'usuarios'=>$usuarios,
    'agenda'=>$agenda,
    'tarefas'=>$tarefas,
    'pagar'=>$pagar,
    'receber'=>$receber,
    'movimentacoes'=>$movimentacoes,
    'comissoes'=>$comissoes,
    'vendas'=>$vendas,
    'alugueis'=>$alugueis,
        
));

echo $result;

?>
